/*! Build time: 2026/1/5 17:33:35
Package: @bilibili-activity/ogv-pc-mission
Version: 0.1.2
Env: production
 */
._root_11jzm_1 {
  position: relative;
}
._root_11jzm_1 * {
  box-sizing: border-box;
}

._foodShareWrapper_11jzm_8 {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 99;
}
._foodShareWrapper_11jzm_8 ._shareMask_11jzm_16 {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}
._foodShareWrapper_11jzm_8 ._content_11jzm_22 {
  background-size: 100% 100%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
._foodShareWrapper_11jzm_8 ._content_11jzm_22 ._shareBtn_11jzm_29 {
  position: absolute;
  bottom: 0.2rem;
  left: 50%;
  transform: translateX(-50%);
  background-size: 100% 100%;
}

._ogvMissionWrapper_11jzm_37 {
  overflow-y: auto;
  margin: 0 auto;
}
._ogvMissionWrapper_11jzm_37 ._missionItem_11jzm_41 {
  margin: 0 auto;
  position: relative;
  width: 100%;
  background-size: 100% 100%;
  display: flex;
  align-items: center;
}
._ogvMissionWrapper_11jzm_37 ._missionItem_11jzm_41 ._title_11jzm_49 {
  font-family: "PingFangSC-Semibold", sans-serif;
}
._ogvMissionWrapper_11jzm_37 ._missionItem_11jzm_41 ._desc_11jzm_52 {
  font-family: "PingFangSC-Regular", sans-serif;
}
._shareBar_11jzm_55 {
  position: absolute;
  bottom: 10px;
  right: 10px;
  background-color: #fff;
  border-radius: 30px;
  padding: 4px;
}

.share-weixin-qr {
  transform: translateY(-130%) !important;
}._Toast_7aev8_1{position:fixed;left:50%;top:50%;transform:translate(-50%,-50%);z-index:1000;background:#000000bf;color:#fff;font-size:16px;padding:8px 12px;border-radius:5px}.base-popup-content-enter,.base-popup-content-exit-to{opacity:0;transform:translate(-50%,calc(-50% + 50px))}.base-popup-content-enter-active,.base-popup-content-exit-active{transition:opacity .15s ease-in,transform .3s ease}.base-popup-content-enter{transform:translate(-50%,calc(-50% + 50px))}
._basePopup_1789e_1{position:fixed;left:50%;top:50%;transform:translate(-50%,-50%);z-index:1000}._popupShadow_1789e_9{position:fixed;z-index:999;top:0;left:0;width:100%;height:100%}.base-popup-shadow-fade-enter,.base-popup-shadow-fade-exit-to{opacity:0}.base-popup-shadow-fade-enter-active,.base-popup-shadow-fade-exit-active{transition:opacity .2s ease-in}.base-popup-content-enter,.base-popup-content-exit-to{opacity:0;transform:translate(-50%,calc(-50% + 50px))}.base-popup-content-enter-active,.base-popup-content-exit-active{transition:opacity .2s ease-in,transform .3s ease}.base-popup-content-enter{transform:translate(-50%,calc(-50% + 50px))}
._basePopup_xrmd4_1{position:fixed;width:100%;bottom:0;transform:translateY(100%);z-index:1001;transition:transform .3s ease}._basePopup_xrmd4_1[data-open=true]{transform:translateY(0)}._basePopup_xrmd4_1 *{box-sizing:border-box}._popupShadow_xrmd4_16{position:fixed;z-index:999;top:0;left:0;width:100%;height:100%}
html,
body,
div,
ul,
li,
h4,
span {
  padding: 0;
  margin: 0;
}
.bili-share-pc {
  border: 1px solid #e8e9eb;
  padding: 18px 0 18px 24px;
  border-radius: 5px;
  position: relative;
  width: 980px;
  height: 40px;
  margin: 20px auto;
  box-sizing: content-box;
}
.bili-share-pc li {
  list-style: none;
}
.bili-share-pc.bili-clearfix:after {
  content: '.';
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.bili-share-pc .bili-clearfix:after {
  content: '.';
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.bili-share-pc .fl {
  float: left;
}
.bili-share-pc .share {
  display: inline-block;
}
.bili-share-pc .share .icon {
  background: url('https://activity.hdslb.com/blackboard/shareModule/images/12xn9z34xj.png')
    no-repeat;
  width: 40px;
  height: 40px;
  display: inline-block;
  margin-right: 10px;
  cursor: pointer;
}
.bili-share-pc .share .icon_bili {
  background: url('https://i0.hdslb.com/bfs/activity-plat/static/20180321/dfa73b898f143877cbf8ecf001cd9e89/images/l6oq2p5wy7.png')
    no-repeat;
  background-position: -370px 0;
}
.bili-share-pc .share .icon_bili:hover {
  background-position: -370px -71px;
}
.bili-share-pc .share .icon_weibo {
  background-position: 0 0;
}
.bili-share-pc .share .icon_weibo:hover {
  background-position: 0 -71px;
}
.bili-share-pc .share .icon_wechat {
  background-position: -74px 0;
  position: relative;
}
.bili-share-pc .share .icon_wechat:hover {
  background-position: -74px -71px;
}
.bili-share-pc .share .icon_qzone {
  background-position: -148px 0;
}
.bili-share-pc .share .icon_qzone:hover {
  background-position: -148px -71px;
}
.bili-share-pc .share .icon_qq {
  background-position: -222px 0;
}
.bili-share-pc .share .icon_qq:hover {
  background-position: -222px -71px;
}
.bili-share-pc .share .icon_baidu {
  background-position: -296px 0;
}
.bili-share-pc .share .icon_baidu:hover {
  background-position: -296px -71px;
}

.bili-share-pc .favourite {
  display: inline-block;
}
.bili-share-pc .title {
  font-size: 18px;
  color: #222;
  display: inline-block;
  padding-right: 20px;
  font-weight: bold;
  line-height: 40px;
}
.bili-share-pc .vertical-line {
  margin: 5px 24px 5px 14px;
  height: 30px;
  display: inline-block;
  border-left: 2px solid #e8e9eb;
}
.bili-share-pc .favourite .icon-fav {
  background: url('https://activity.hdslb.com/blackboard/shareModule/images/79lx82m4lq.jpg');
  width: 65px;
  height: 50px;
  display: inline-block;
  position: absolute;
  top: 5px;
  cursor: pointer;
}
.bili-share-pc .favourite .icon-like {
  background-position: 0px 5px;
}
.bili-share-pc .favourite .fav {
  padding-right: 0px;
  width: 54px;
}
.bili-share-pc .favourite .icon-like:hover {
  animation: likePlay 1s steps(14) infinite;
}
.bili-share-pc .favourite .icon-liked {
  background-position: 0px -59px;
}
@keyframes likePlay {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -896px 5px;
  }
}

.bili-share-pc .popTips {
  position: absolute;
  top: -15px;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 6px;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0;
  animation: popTips 1.5s;
}
@keyframes popTips {
  0% {
    opacity: 0;
    top: 0px;
  }
  15% {
    opacity: 1;
    top: -15px;
    transform: scale(1.1, 1.1);
  }
  30% {
    transform: scale(1, 1);
  }
  50% {
    opacity: 1;
    top: -15px;
  }
  90% {
    opacity: 1;
    top: -15px;
  }
  100% {
    opacity: 0;
    top: 0px;
  }
}

/************ 动态遮罩 ***************/
.bili-wrap {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 1000;
  background-color: transparent;
  left: 0;
  top: 0;
  display: block;
  opacity: 1;
  background-color: rgba(0, 0, 0, 0.5);
}

/************ 二维码 ***************/
.bili-share-pc .share .icon_wechat:hover .weixin-hover {
  display: block;
}
.bili-share-pc .weixin-hover {
  position: absolute;
  z-index: -1;
  display: none;
}
.bili-share-pc .weixin-hover .qr-before {
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.3) 0 2px 4px;
  width: 50px;
  height: 81px;
  top: -18px;
  position: absolute;
  left: -6px;
}
.bili-share-pc .share-weixin-qr {
  position: absolute;
  top: 62px;
  left: -6px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.3);
}
.bili-share-pc .share-weixin-qr h4 {
  text-align: center;
  font-size: 16px;
  font-weight: normal;
  color: #333;
  margin-bottom: 15px;
}
.bili-share-pc .share-weixin-qr .qr-code {
  width: 120px;
  text-align: center;
}
.bili-share-pc .share-weixin-qr .qr-code img {
  display: block;
  width: 100%;
}

.messageTip {
  margin: 0;
  position: absolute;
}

.bili-wrap iframe {
  height: 100%;
  width: 100%;
}

/************ 自定义 ***************/
#biliSharePc li {
  list-style: none;
}
#biliSharePc .share {
  font-size: 100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: calc(.5em * 5 - .1em);
}
#biliSharePc .share .icon {
  background: url('https://i0.hdslb.com/bfs/activity-plat/static/20180321/dfa73b898f143877cbf8ecf001cd9e89/images/l6oq2p5wy7.png')
  no-repeat;
  width: .4em;
  height: .4em;
  line-height: .4em;
  cursor: pointer;
  background-size: 4.09em;
}
#biliSharePc .share .icon_bili {
  background-position: -3.7em 0;
}
#biliSharePc .share .icon_bili:hover {
  background-position: -3.7em -.71em;
}
#biliSharePc .share .icon_weibo {
  background-position: 0 0;
}
#biliSharePc .share .icon_weibo:hover {
  background-position: 0 -.71em;
}
#biliSharePc .share .icon_wechat {
  background-position: -.74em 0;
  position: relative;
}
#biliSharePc .share .icon_wechat:hover {
  background-position: -.74em -.71em;
}
#biliSharePc .share .icon_qzone {
  background-position: -1.48em 0;
}
#biliSharePc .share .icon_qzone:hover {
  background-position: -1.48em -.71em;
}
#biliSharePc .share .icon_qq {
  background-position: -2.22em 0;
}
#biliSharePc .share .icon_qq:hover {
  background-position: -2.22em -.71em;
}
#biliSharePc .share .icon_baidu_tieba {
  background-position: -2.96em 0;
}
#biliSharePc .share .icon_baidu_tieba:hover {
  background-position: -2.96em -.71em;
}
#biliSharePc .share .icon_wechat:hover .weixin-hover {
  display: block;
}
#biliSharePc .weixin-hover {
  position: absolute;
  /* z-index: -1; */
  display: none;
}
#biliSharePc .weixin-hover .qr-before {
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.3) 0 2px 4px;
  width: 50px;
  height: 81px;
  top: -18px;
  position: absolute;
  left: -6px;
}
#biliSharePc .share-weixin-qr {
  position: absolute;
  top: 62px;
  left: -6px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.3);
}
#biliSharePc .icon-hover .share-weixin-qr {
  position: absolute;
  top: 50px;
  left: -50px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}
#biliSharePc .share-weixin-qr h4 {
  text-align: center;
  font-size: 16px;
  font-weight: normal;
  color: #333;
  margin-bottom: 15px;
}
#biliSharePc .share-weixin-qr .qr-code {
  width: 120px;
  text-align: center;
}
#biliSharePc .share-weixin-qr .qr-code img {
  display: block;
  width: 100%;
}